/*
 * bgrep -- binary grep: block-oriented search in arbitrary data
 * Copyright (C) 2005  Fabian Pietsch
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * ----------------------------------------------------------------------------
 *
 * bgrep.h -- central header included first by all bgrep C source files; macros
 *            altering the system headers' functionality are defined here
 *
 */

/*
 * system header functionality alterations
 */

/* enable mempcpy()
   (and possibly other things, but this was the initial reason) */
#define _GNU_SOURCE

/* set large file mode */
#define _FILE_OFFSET_BITS 64


/*
 * bgrep-wide macros
 */

#define BGREP_VERSION "0.8.2 (prerelease)"

/* FIXME: somewhat misplaced here... perhaps move to main()-specific header? */
#define BGREP_BS_DEF              1024
#define BGREP_COPY_BLOCKS_SUFFIX  "-match"
